//deployer SLmanager header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(SQLMANAGER_H)
#define SQLMANAGER_H

#include <iostream>
#include <cstring>
#include <vector>
#include <list>
#include "Service.h"

using namespace std;

class SQLmanager {
    public:
    SQLmanager(){}
    ~SQLmanager(){}
    //services
    vector<Service> GetServices() const;
    const Service * FindServiceByUsername(string aUsername) const;
    const Service * FindServiceByID(int aUserID) const;
    //list<const Service*> FindServicesByServer(string aServer) const;
    int isServiceOnServer(string serviceUsername);

    private:
    vector <Service> services;
};
#endif 